Subject: Re: [RFC] Add a new email notification script to "contrib"

From: Matthieu Moy <[email-masked]>
Date: Mon, 16 Jul 2012 18:16:40 +0200

[email-masked] writes:

> From: Michael Haggerty <[email-masked]>
>
> Add a new Python script, contrib/hooks/post-receive-multimail.py, that
> can be used to send notification emails describing pushes into a git
> repository.  This script is derived from
> contrib/hooks/post-receive-mail, but has many differences, including:
>
> * One email per commit [1].

It's cool to have it, but it would be nice to allow the "one email per
push" mode too. I have co-workers who already complain about the number
of emails sent by the post-receive-mail script. I can't imagine their
reaction if I set up a one-email-per-commit hook ;-).

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/